package com.yijia.station.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 油站员工信息对象 station_personnel
 * 
 * @author yijia
 * @date 2020-12-09
 */
public class StationPersonnel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 油站员工主键id */
    private Long personnelId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String personnelName;

    /** 员工负责枪号 */
    @Excel(name = "员工负责枪号")
    private String gunNo;

    /** 加油站id */
    @Excel(name = "加油站id")
    private Long stationId;

    /** 加油站名称 */
    @Excel(name = "加油站名称")
    private String stationName;

    /** 二维码 */
    @Excel(name = "二维码")
    private String qrCode;

    /** 员工手机号 */
    @Excel(name = "员工手机号")
    private String personnelPhone;

    public void setPersonnelId(Long personnelId) 
    {
        this.personnelId = personnelId;
    }

    public Long getPersonnelId() 
    {
        return personnelId;
    }
    public void setPersonnelName(String personnelName) 
    {
        this.personnelName = personnelName;
    }

    public String getPersonnelName() 
    {
        return personnelName;
    }
    public void setGunNo(String gunNo) 
    {
        this.gunNo = gunNo;
    }

    public String getGunNo() 
    {
        return gunNo;
    }
    public void setStationId(Long stationId) 
    {
        this.stationId = stationId;
    }

    public Long getStationId() 
    {
        return stationId;
    }
    public void setStationName(String stationName) 
    {
        this.stationName = stationName;
    }

    public String getStationName() 
    {
        return stationName;
    }
    public void setQrCode(String qrCode) 
    {
        this.qrCode = qrCode;
    }

    public String getQrCode() 
    {
        return qrCode;
    }
    public void setPersonnelPhone(String personnelPhone) 
    {
        this.personnelPhone = personnelPhone;
    }

    public String getPersonnelPhone() 
    {
        return personnelPhone;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("personnelId", getPersonnelId())
            .append("personnelName", getPersonnelName())
            .append("gunNo", getGunNo())
            .append("stationId", getStationId())
            .append("stationName", getStationName())
            .append("qrCode", getQrCode())
            .append("personnelPhone", getPersonnelPhone())
            .toString();
    }
}
